import { RadialBucketCalculator } from "./RadialBucketCalculator";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { RadialBase } from "./RadialBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { DependencyProperty } from "igniteui-react-core";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { Axis } from "./Axis";
import { RadialFrame } from "./RadialFrame";
import { SeriesView } from "./SeriesView";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { AxisRange } from "./AxisRange";
import { RadialBaseView } from "./RadialBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { Clipper } from "igniteui-react-core";
import { RadialTrendLineManager } from "./RadialTrendLineManager";
import { PointCollection } from "igniteui-react-core";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class AnchoredRadialBucketCalculator extends RadialBucketCalculator {
    static $t: Type;
    private f;
    constructor(a: AnchoredRadialSeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare abstract class AnchoredRadialSeries extends RadialBase {
    static $t: Type;
    protected cg(): SeriesView;
    ng(): void;
    ju(a: any, b: string): any;
    o0(a: SeriesView): void;
    ww: AnchoredRadialSeriesView;
    constructor();
    wx: CategoryLineRasterizer;
    jf(a: Point, b: boolean): number;
    jd(a: Point, b: boolean): number;
    ht(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    h9(a: Point, b: boolean, c: boolean): number;
    th(a: Point, b: boolean, c: boolean): Point;
    xk: string;
    xd: string;
    protected fn(): boolean;
    protected g0(): List$1<SeriesLayerPropertyOverlay>;
    private xo;
    get w2(): IFastItemColumn$1<number>;
    set w2(a: IFastItemColumn$1<number>);
    private w1;
    xg: string;
    xi: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    w0: TrendLineType;
    x5: Brush;
    get x4(): Brush;
    set x4(a: Brush);
    static readonly xs: DependencyProperty;
    xa: number;
    x7: PenLineCap;
    x6: DoubleCollection;
    xb: number;
    xc: number;
    aq(a: Axis): AxisRange;
    protected o8(a: any, b: string, c: any, d: any): void;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_w5(): boolean;
    protected get w5(): boolean;
    protected get_dz(): boolean;
    protected get_fi(): boolean;
    protected w7(a: CategoryAngleAxis, b: Rect, c: Rect, d: Rect): number;
    wl(a: RadialFrame, b: RadialBaseView): void;
    private w8;
    private w9;
    private w6;
    wv(a: List$1<number[]>, b: number, c: SeriesView): Clipper;
    protected x8: Point;
    xr(a: PointCollection, b: PointCollection, c: PointCollection, d: PointCollection, e: boolean): void;
    private w4;
    private w3;
    nj(a: boolean, b: SeriesView): void;
    wo(a: RadialFrame, b: RadialBaseView): void;
    protected wu(a: number, b: number, c: Axis): any[];
    protected xp(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    protected xq(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    xn(a: RadialBaseView, b: RadialFrame): void;
    private xm;
    protected qd(): void;
    jy(a: any, b: Point): any;
    fo(a: any): boolean;
    wz: RadialFrame;
    pr(a: Rect, b: RenderSurface): void;
    private wy;
    po(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected n1(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnchoredRadialSeriesView extends RadialBaseView {
    static $t: Type;
    cz: AnchoredRadialSeries;
    constructor(a: AnchoredRadialSeries);
    c0: RadialTrendLineManager;
    c1(a: Rect, b: Rect, c: Rect, d: Rect): void;
    c2(): void;
    protected a7(a: RenderingContext, b: boolean): void;
    getDefaultTooltipTemplate(): string;
}
